version: "3"

services:
  dictation_function:
    build: .
    working_dir: /app/dictation_function
    ports:
      - "80:80"
      - "8082:8082"
    volumes:
      - ../../:/app
      - node_modules:/app/dictation_function/node_modules
    expose:
      - "8082"
    environment:
      - CHOKIDAR_USEPOLLING=true
    networks:
      - external
networks:
  external:
    name: omds_network
    external: true

# Data Volume として永続化する
volumes:
  node_modules:
